Skip to main content
POST
Remove a service account's access to a project
No plan can call this operation today. It needs a personal access token, and Nitsor does not issue personal access tokens.

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Path Parameters

id
string
required

The Project's projectId.

Required string length: 1 - 200

Body

application/json
idempotencyKey
string
required
Required string length: 1 - 200
serviceAccountId
string
required
Required string length: 1 - 200

Response

Remove a service account's access to a project

changed
boolean
required
projectId
string
required
Minimum string length: 1
releasedAllHeldTasks
boolean
required
releasedHeldTasks
integer
required
Required range: x >= 0
serviceAccountId
string
required
Minimum string length: 1